Feature
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
GET | |
GET | |
GET | |
GET | |
POST | |
POST | |
POST | |
GET | |
GET |
Create feature flags enrich usage dashboard
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Path parameters
- idinteger
- project_idstring
Request parameters
- namestring
- keystring
- filtersobject
- deletedboolean
- activeboolean
- created_atstring
- versionintegerDefault:
0 - ensure_experience_continuityboolean
- rollback_conditions
- performed_rollbackboolean
- tagsarray
- evaluation_contextsarray
- analytics_dashboardsarray
- has_enriched_analyticsboolean
- creation_context
- is_remote_configurationboolean
- has_encrypted_payloadsboolean
- evaluation_runtime
- bucketing_identifier
- last_called_atstring
- _create_in_folderstring
- _should_create_usage_dashboardbooleanDefault:
true
Example request
POST /api /projects /:project_id /feature_flags /:id /enrich_usage_dashboardExample response
Status 200 No response body
Create feature flags enrich usage dashboard
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Path parameters
- idinteger
- project_idstring
Request parameters
- namestring
- keystring
- filtersobject
- deletedboolean
- activeboolean
- created_atstring
- versionintegerDefault:
0 - ensure_experience_continuityboolean
- rollback_conditions
- performed_rollbackboolean
- tagsarray
- evaluation_contextsarray
- analytics_dashboardsarray
- has_enriched_analyticsboolean
- creation_context
- is_remote_configurationboolean
- has_encrypted_payloadsboolean
- evaluation_runtime
- bucketing_identifier
- last_called_atstring
- _create_in_folderstring
- _should_create_usage_dashboardbooleanDefault:
true
Example request
POST /api /projects /:project_id /feature_flags /:id /enrich_usage_dashboardExample response
Status 200 No response body
Retrieve feature flags remote config
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- idinteger
- project_idstring
Example request
GET /api /projects /:project_id /feature_flags /:id /remote_configExample response
Status 200 No response body
Retrieve feature flags remote config
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- idinteger
- project_idstring
Example request
GET /api /projects /:project_id /feature_flags /:id /remote_configExample response
Status 200 No response body
Retrieve feature flags status
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- idinteger
- project_idstring
Response
Example request
GET /api /projects /:project_id /feature_flags /:id /statusExample response
Status 200
Retrieve feature flags status
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- idinteger
- project_idstring
Response
Example request
GET /api /projects /:project_id /feature_flags /:id /statusExample response
Status 200
Retrieve feature flags versions
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- idinteger
- project_idstring
- version_numberinteger
Response
Example request
GET /api /projects /:project_id /feature_flags /:id /versions /:version_numberExample response
Status 200
Status 400 Version history is not available for remote configuration flags.
Status 404 Version not found.
Status 422 Activity log incomplete; cannot reconstruct this version.
Retrieve feature flags versions
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- idinteger
- project_idstring
- version_numberinteger
Response
Example request
GET /api /projects /:project_id /feature_flags /:id /versions /:version_numberExample response
Status 200
Status 400 Version history is not available for remote configuration flags.
Status 404 Version not found.
Status 422 Activity log incomplete; cannot reconstruct this version.
Retrieve feature flags all activity
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
activity_log:readPath parameters
- project_idstring
Query parameters
- limitintegerDefault:
10 - pageintegerDefault:
1
Response
Example request
GET /api /projects /:project_id /feature_flags /activityExample response
Status 200
Retrieve feature flags all activity
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
activity_log:readPath parameters
- project_idstring
Query parameters
- limitintegerDefault:
10 - pageintegerDefault:
1
Response
Example request
GET /api /projects /:project_id /feature_flags /activityExample response
Status 200
Create feature flags bulk delete
Bulk delete feature flags by filter criteria or explicit IDs.
Accepts either:
- {"filters": {...}} - Same filter params as list endpoint (search, active, type, etc.)
- {"ids": [...]} - Explicit list of flag IDs (no limit)
Returns same format as bulk_delete for UI compatibility.
Uses bulk operations for efficiency: database updates are batched and cache invalidation happens once at the end rather than per-flag.
Required API key scopes
feature_flag:writePath parameters
- project_idstring
Request parameters
- namestring
- keystring
- filtersobject
- deletedboolean
- activeboolean
- created_atstring
- versionintegerDefault:
0 - ensure_experience_continuityboolean
- rollback_conditions
- performed_rollbackboolean
- tagsarray
- evaluation_contextsarray
- analytics_dashboardsarray
- has_enriched_analyticsboolean
- creation_context
- is_remote_configurationboolean
- has_encrypted_payloadsboolean
- evaluation_runtime
- bucketing_identifier
- last_called_atstring
- _create_in_folderstring
- _should_create_usage_dashboardbooleanDefault:
true
Example request
POST /api /projects /:project_id /feature_flags /bulk_deleteExample response
Status 200 No response body
Create feature flags bulk delete
Bulk delete feature flags by filter criteria or explicit IDs.
Accepts either:
- {"filters": {...}} - Same filter params as list endpoint (search, active, type, etc.)
- {"ids": [...]} - Explicit list of flag IDs (no limit)
Returns same format as bulk_delete for UI compatibility.
Uses bulk operations for efficiency: database updates are batched and cache invalidation happens once at the end rather than per-flag.
Required API key scopes
feature_flag:writePath parameters
- project_idstring
Request parameters
- namestring
- keystring
- filtersobject
- deletedboolean
- activeboolean
- created_atstring
- versionintegerDefault:
0 - ensure_experience_continuityboolean
- rollback_conditions
- performed_rollbackboolean
- tagsarray
- evaluation_contextsarray
- analytics_dashboardsarray
- has_enriched_analyticsboolean
- creation_context
- is_remote_configurationboolean
- has_encrypted_payloadsboolean
- evaluation_runtime
- bucketing_identifier
- last_called_atstring
- _create_in_folderstring
- _should_create_usage_dashboardbooleanDefault:
true
Example request
POST /api /projects /:project_id /feature_flags /bulk_deleteExample response
Status 200 No response body
Create feature flags bulk keys
Get feature flag keys by IDs. Accepts a list of feature flag IDs and returns a mapping of ID to key.
Path parameters
- project_idstring
Request parameters
- namestring
- keystring
- filtersobject
- deletedboolean
- activeboolean
- created_atstring
- versionintegerDefault:
0 - ensure_experience_continuityboolean
- rollback_conditions
- performed_rollbackboolean
- tagsarray
- evaluation_contextsarray
- analytics_dashboardsarray
- has_enriched_analyticsboolean
- creation_context
- is_remote_configurationboolean
- has_encrypted_payloadsboolean
- evaluation_runtime
- bucketing_identifier
- last_called_atstring
- _create_in_folderstring
- _should_create_usage_dashboardbooleanDefault:
true
Example request
POST /api /projects /:project_id /feature_flags /bulk_keysExample response
Status 200 No response body
Create feature flags bulk keys
Get feature flag keys by IDs. Accepts a list of feature flag IDs and returns a mapping of ID to key.
Path parameters
- project_idstring
Request parameters
- namestring
- keystring
- filtersobject
- deletedboolean
- activeboolean
- created_atstring
- versionintegerDefault:
0 - ensure_experience_continuityboolean
- rollback_conditions
- performed_rollbackboolean
- tagsarray
- evaluation_contextsarray
- analytics_dashboardsarray
- has_enriched_analyticsboolean
- creation_context
- is_remote_configurationboolean
- has_encrypted_payloadsboolean
- evaluation_runtime
- bucketing_identifier
- last_called_atstring
- _create_in_folderstring
- _should_create_usage_dashboardbooleanDefault:
true
Example request
POST /api /projects /:project_id /feature_flags /bulk_keysExample response
Status 200 No response body
Create feature flags bulk update tags
Bulk update tags on multiple objects.
Accepts:
- {"ids": [...], "action": "add"|"remove"|"set", "tags": ["tag1", "tag2"]}
Actions:
- "add": Add tags to existing tags on each object
- "remove": Remove specific tags from each object
- "set": Replace all tags on each object with the provided list
Path parameters
- project_idstring
Request parameters
- idsarray
- action
- tagsarray
Response
Example request
POST /api /projects /:project_id /feature_flags /bulk_update_tagsExample response
Status 200
Create feature flags bulk update tags
Bulk update tags on multiple objects.
Accepts:
- {"ids": [...], "action": "add"|"remove"|"set", "tags": ["tag1", "tag2"]}
Actions:
- "add": Add tags to existing tags on each object
- "remove": Remove specific tags from each object
- "set": Replace all tags on each object with the provided list
Path parameters
- project_idstring
Request parameters
- idsarray
- action
- tagsarray
Response
Example request
POST /api /projects /:project_id /feature_flags /bulk_update_tagsExample response
Status 200
Retrieve feature flags evaluation reasons
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Query parameters
- distinct_idstring
- groupsstringDefault:
{}
Example request
GET /api /projects /:project_id /feature_flags /evaluation_reasonsExample response
Status 200 No response body
Retrieve feature flags evaluation reasons
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Query parameters
- distinct_idstring
- groupsstringDefault:
{}
Example request
GET /api /projects /:project_id /feature_flags /evaluation_reasonsExample response
Status 200 No response body
Retrieve feature flags local evaluation
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Query parameters
- send_cohortsbooleanDefault:
false
Response
Example request
GET /api /projects /:project_id /feature_flags /local_evaluationExample response
Status 200
Status 402 Payment required
Status 500 Internal server error
Retrieve feature flags local evaluation
Create, read, update and delete feature flags. See docs for more information on feature flags.
If you're looking to use feature flags on your application, you can either use our JavaScript Library or our dedicated endpoint to check if feature flags are enabled for a given user.
Required API key scopes
feature_flag:readPath parameters
- project_idstring
Query parameters
- send_cohortsbooleanDefault:
false
Response
Example request
GET /api /projects /:project_id /feature_flags /local_evaluation